package com.ruoyi.system.domain.member;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 委员信息对象 member_info
 * 
 * @author boman
 * @date 2024-03-07
 */
public class MemberInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 委员ID */
    private Long memberId;

    /** 账号表ID */
    @Excel(name = "账号表ID")
    private Long userId;

    /** 委员姓名 */
    @Excel(name = "委员姓名")
    private String name;

    /** 委员身份证号 */
    @Excel(name = "委员身份证号")
    private String card;

    /** 界别 */
    @Excel(name = "界别")
    private String boundary;

    /** 党派 */
    @Excel(name = "党派")
    private String partyAffiliation;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 委员照片地址 */
    @Excel(name = "委员照片地址")
    private String avatar;

    /** 工作单位及职务 */
    @Excel(name = "工作单位及职务")
    private String unit;

    /** 乡镇（经开区）委员工作室 */
    @Excel(name = "乡镇", readConverterExp = "经=开区")
    private String studio;
    /**
     * 排名
     */
    private String ranking;
    /**
     * 级别，多选
     */
    private String grade;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 地址类型 1：领衔，2：附议 */
    private String type;
    /**
     * 柱状图base64编码
     */
    private String ele;
    /**
     * 饼状图base64编码
     */
    private String pie;

    public String getEle() {
        return ele;
    }

    public void setEle(String ele) {
        this.ele = ele;
    }

    public String getPie() {
        return pie;
    }

    public void setPie(String pie) {
        this.pie = pie;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }


    public String getRanking() {
        return ranking;
    }

    public void setRanking(String ranking) {
        this.ranking = ranking;
    }

    public void setMemberId(Long memberId)
    {
        this.memberId = memberId;
    }

    public Long getMemberId() 
    {
        return memberId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCard() {
        return card;
    }

    public void setCard(String card) {
        this.card = card;
    }

    public void setBoundary(String boundary)
    {
        this.boundary = boundary;
    }

    public String getBoundary() 
    {
        return boundary;
    }
    public void setPartyAffiliation(String partyAffiliation) 
    {
        this.partyAffiliation = partyAffiliation;
    }

    public String getPartyAffiliation() 
    {
        return partyAffiliation;
    }
    public void setPhonenumber(String phonenumber) 
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber() 
    {
        return phonenumber;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setStudio(String studio) 
    {
        this.studio = studio;
    }

    public String getStudio() 
    {
        return studio;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("memberId", getMemberId())
            .append("userId", getUserId())
            .append("name", getName())
            .append("card", getCard())
            .append("boundary", getBoundary())
            .append("partyAffiliation", getPartyAffiliation())
            .append("phonenumber", getPhonenumber())
            .append("avatar", getAvatar())
            .append("unit", getUnit())
            .append("studio", getStudio())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
